#include <bits/stdc++.h>
using namespace std;
string kq="";
int DN(string s, int k)
{
    if (k==s.length()) return 0;
    kq=kq+s[s.length()-k-1];
    DN(s,k+1);
}
int main()
{
    ifstream f1 ("DQND.inp");
    ofstream f2 ("DQND.out");
    string n;
    f1>>n;
    DN(n,0);
    f2<<kq<<endl<<n.length();
}
